
%define bzip2_version        1.0.2-4
%define curl_version         7.51.0-1
%define freetype2_version    2.7-1
%define libjpeg_version      9b-2
%define libiconv_version     1.14-3
%define libpng_version       1.6.26-1
%define libmcrypt_version    2.5.8-5
%define libtool_ltdl_version 2.4.6-1
%define libxml2_version      2.9.4-1
%define libXpm_version       3.5.11-1
%define openssl_version      1.0.2j-2
%define openldap_version     2.4.23-0.5
%define pcre_version         8.39-1
%define zlib_version         1.2.3-7

%define httpd_min_version    2.2.29-2
%define httpd_max_version    2.3

%define libgcc_version       4.5.4-1

%define contentdir /var/www

# Extension version
%global opcachever  7.0.6-dev

Summary: The PHP HTML-embedded scripting language
Name: php
Version: 7.0.13
Release: 1
License: The PHP License v3.01
Group: Development/Languages
URL: http://www.php.net/

Source0: http://www.php.net/distributions/%{name}-%{version}.tar.bz2
Source1: %{name}.conf
Source2: %{name}.ini
Source3: %{name}-fpm.aix.init
Source4: %{name}-fpm.conf
Source5: %{name}-fpm-www.conf
Source6: %{name}-fpm.logrotate
Source7: %{name}-fpm.sysconfig
Source50: opcache.ini
Source51: opcache-default.blacklist

Patch0: %{name}-%{version}-aix.patch
# patch based on https://bugs.php.net/patch-display.php?bug_id=51772&patch=ppc-support&revision=latest
Patch1: %{name}-%{version}-fpm-aix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make
BuildRequires: gcc >= %{libgcc_version}

BuildRequires: bzip2 >= %{bzip2_version}
BuildRequires: curl-devel >= %{curl_version}
BuildRequires: freetype2-devel >= %{freetype2_version}
BuildRequires: httpd-devel >= %{httpd_min_version}
BuildRequires: httpd-devel < %{httpd_max_version}
BuildRequires: libiconv >= %{libiconv_version}
BuildRequires: libjpeg-devel >= %{libjpeg_version}
BuildRequires: libmcrypt-devel >= %{libmcrypt_version}
BuildRequires: libpng-devel >= %{libpng_version}
BuildRequires: libtool-ltdl-devel >= %{libtool_ltdl_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: libXpm-devel >= %{libXpm_version}
BuildRequires: openssl-devel >= %{openssl_version}
BuildRequires: openldap-devel >= %{openldap_version}
BuildRequires: pcre-devel >= %{pcre_version}
BuildRequires: zlib-devel >= %{zlib_version}

%description
Dummy description to satisfy RPM.


%package -n mod_php_ap22
Summary: The PHP HTML-embedded scripting language module for Apache V2.2.X
Group: Development/Languages
Requires: %{name}-common = %{version}-%{release}
Requires: bzip2 >= %{bzip2_version}
Requires: curl >= %{curl_version}
Requires: freetype2 >= %{freetype2_version}
Requires: httpd >= %{httpd_min_version}
Requires: httpd < %{httpd_max_version}
Requires: libgcc >= %{libgcc_version}
Requires: libiconv >= %{libiconv_version}
Requires: libjpeg >= %{libjpeg_version}
Requires: libmcrypt >= %{libmcrypt_version}
Requires: libpng >= %{libpng_version}
Requires: libtool-ltdl >= %{libtool_ltdl_version}
Requires: libxml2 >= %{libxml2_version}
Requires: libXpm >= %{libXpm_version}
Requires: openldap >= %{openldap_version}
Requires: openssl >= %{openssl_version}
Requires: pcre >= %{pcre_version}
Requires: zlib >= %{zlib_version}

Provides: mod_php = %{version}-%{release}
Provides: php = %{version}-%{release}

%description -n mod_php_ap22
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated webpages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled webpage with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts.

The mod_php_ap22 package contains the module which adds support for the PHP
language to Apache HTTP Server V2.2.X.


%package cli
Group: Development/Languages
Summary: Command-line interface for PHP
Requires: %{name}-common = %{version}-%{release}
Requires: bzip2 >= %{bzip2_version}
Requires: curl >= %{curl_version}
Requires: freetype2 >= %{freetype2_version}
Requires: libgcc >= %{libgcc_version}
Requires: libiconv >= %{libiconv_version}
Requires: libjpeg >= %{libjpeg_version}
Requires: libmcrypt >= %{libmcrypt_version}
Requires: libpng >= %{libpng_version}
Requires: libtool-ltdl >= %{libtool_ltdl_version}
Requires: libxml2 >= %{libxml2_version}
Requires: libXpm >= %{libXpm_version}
Requires: openldap >= %{openldap_version}
Requires: openssl >= %{openssl_version}
Requires: pcre >= %{pcre_version}
Requires: zlib >= %{zlib_version}

Provides: %{name}-cgi = %{version}-%{release}

%description cli
The php-cli package contains the command-line interface 
executing PHP scripts, %{_bindir}/php, and the CGI interface.


%package fpm
Group: Development/Languages
Summary: PHP FastCGI Process Manager
# All files licensed under PHP version 3.01, except
# Zend is licensed under Zend
# TSRM and fpm are licensed under BSD
License: PHP and Zend and BSD
Requires: %{name}-common = %{version}-%{release}
Requires: bzip2 >= %{bzip2_version}
Requires: curl >= %{curl_version}
Requires: freetype2 >= %{freetype2_version}
Requires: libgcc >= %{libgcc_version}
Requires: libiconv >= %{libiconv_version}
Requires: libjpeg >= %{libjpeg_version}
Requires: libmcrypt >= %{libmcrypt_version}
Requires: libpng >= %{libpng_version}
Requires: libtool-ltdl >= %{libtool_ltdl_version}
Requires: libxml2 >= %{libxml2_version}
Requires: libXpm >= %{libXpm_version}
Requires: openldap >= %{openldap_version}
Requires: openssl >= %{openssl_version}
Requires: pcre >= %{pcre_version}
Requires: zlib >= %{zlib_version}

%description fpm
PHP-FPM (FastCGI Process Manager) is an alternative PHP FastCGI
implementation with some additional features useful for sites of
any size, especially busier sites.


%package common
Group: Development/Languages
Summary: Common files for PHP

%description common
The php-common package contains files used by both the php
package and the php-cli package.


%package opcache
Summary:   The Zend OPcache
Group:     Development/Languages
License:   PHP
Requires:  php-common = %{version}-%{release}
Provides:  php-pecl-zendopcache = %{opcachever}
Provides:  php-pecl(opcache) = %{opcachever}

%description opcache
The Zend OPcache provides faster PHP execution through opcode caching and
optimization. It improves PHP performance by storing precompiled script
bytecode in the shared memory. This eliminates the stages of reading code from
the disk and compiling it on future access. In addition, it applies a few
bytecode optimization patterns that make code execution faster.


%package devel
Group: Development/Libraries
Summary: Files needed for building PHP extensions
Requires: bzip2 >= %{bzip2_version}
Requires: curl-devel >= %{curl_version}
Requires: freetype2-devel >= %{freetype2_version}
Requires: httpd-devel
Requires: libiconv >= %{libiconv_version}
Requires: libjpeg-devel >= %{libjpeg_version}
Requires: libmcrypt-devel >= %{libmcrypt_version}
Requires: libpng-devel >= %{libpng_version}
Requires: libtool-ltdl-devel >= %{libtool_ltdl_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libXpm-devel >= %{libXpm_version}
Requires: openldap-devel >= %{openldap_version}
Requires: openssl-devel >= %{openssl_version}
Requires: pcre-devel >= %{pcre_version}
Requires: zlib-devel >= %{zlib_version}

%description devel
The php-devel package contains the files needed for building PHP
extensions. If you need to compile your own PHP extensions, you will
need to install this package.


%prep
%setup -q
%patch0
%patch1


%build
export CC="gcc"

# define CFLAGS
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O6 -I/opt/freeware/include"

# define LDFLAGS to force compiled-in libpath
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

# install extension modules in %{_libdir}/php/modules.
export EXTENSION_DIR=%{_libdir}/php/modules

# shell function to configure and build a PHP tree
buildphp() {
ln -sf ../configure
./configure \
    --cache-file=../config.cache \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --with-config-file-path=%{_sysconfdir} \
    --with-config-file-scan-dir=%{_sysconfdir}/php.d \
    --disable-debug \
    --enable-shared --enable-static \
    --without-pear \
    --with-gd \
    --with-openssl=%{_prefix} \
    --with-zlib \
    --with-bz2 \
    --with-curl=%{_prefix} \
    --with-freetype-dir=%{_prefix} \
    --with-jpeg-dir=%{_prefix} \
    --with-ldap=%{_prefix} \
    --with-png-dir=%{_prefix} \
    --with-xpm-dir=%{_prefix} \
    --with-zlib-dir=%{_prefix} \
    --enable-pdo \
    --enable-zip \
    --enable-soap \
    --enable-bcmath \
    --enable-ftp \
    --enable-sockets \
    --with-iconv-dir=%{_prefix} \
    --enable-mbstring \
    --with-mcrypt=%{_prefix} \
    --with-mysqli=mysqlnd \
    --enable-dom \
    --enable-json \
    --with-pcre-regex=%{_prefix} \
    $*
# required since PHP V5.4.0, check out https://bugs.php.net/bug.php?id=61751
cat Makefile | \
    sed 's|PHP_CLI_OBJS =|PHP_CLI_OBJS = $(PHP_BINARY_OBJS) |g' | \
    sed 's|PHP_CGI_OBJS =|PHP_CGI_OBJS = main/internal_functions.lo |g' \
    > Makefile.tmp
mv -f Makefile.tmp Makefile
gmake %{?_smp_mflags}
}


# build the command line and the CGI version of PHP
mkdir build-cgi
cd build-cgi
buildphp \
    --enable-opcache
cd ..


# build the fpm SAPI version of PHP
mkdir build-fpm
cd build-fpm
buildphp \
    --enable-fpm \
    --with-fpm-user=apache \
    --with-fpm-group=apache \
    --without-mysql \
    --disable-pdo \
    --disable-opcache
cd ..


# build the Apache module thread-safe
mkdir build-apache
cd build-apache
# for Apache 2.2.X: --with-apxs2=%{_sbindir}/apxs
# for Apache 2.4.X: --with-apxs2=%{_bindir}/apxs
buildphp \
    --with-apxs2=%{_sbindir}/apxs \
    --enable-maintainer-zts \
    --disable-opcache
cd ..


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd build-cgi
gmake INSTALL_ROOT=${RPM_BUILD_ROOT} install

# install the php-cgi binary
cp sapi/cgi/php-cgi ${RPM_BUILD_ROOT}%{_bindir}
chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/php-cgi

# install the php-fpm binary
cd ../build-fpm
gmake INSTALL_ROOT=${RPM_BUILD_ROOT} install

# install the DSO
cd ../build-apache
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules
chmod 755 ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules
cp .libs/libphp7.so ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules
chmod 755 ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules/libphp7.so
cd ..

# strip binaries
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/php
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/php-cgi
/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/php-fpm
/usr/bin/strip ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules/libphp7.so
/usr/bin/strip ${RPM_BUILD_ROOT}%{_libdir}/php/modules/opcache.so

# install the Apache httpd config file for PHP
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra
chmod 755 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra
cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/httpd-php.conf
chmod 644 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/httpd-php.conf

# install the default configuration file and directories
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/php.ini
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/php.d

# create the PHP extension modules directory
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/php/modules

# install the default icons
mkdir -p ${RPM_BUILD_ROOT}%{contentdir}/icons
chmod 755 ${RPM_BUILD_ROOT}%{contentdir}/icons
cp php.gif ${RPM_BUILD_ROOT}%{contentdir}/icons

# for third-party packaging:
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/php/pear
chmod 755 ${RPM_BUILD_ROOT}%{_libdir}/php/pear
mkdir -p ${RPM_BUILD_ROOT}/var/lib/php
chmod 755 ${RPM_BUILD_ROOT}/var/lib/php
mkdir -p ${RPM_BUILD_ROOT}/var/lib/php/session
chmod 700 ${RPM_BUILD_ROOT}/var/lib/php/session

# install Zend OPcache stuff
cp %{SOURCE50} ${RPM_BUILD_ROOT}%{_sysconfdir}/php.d/10-opcache.ini
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/php.d/10-opcache.ini
cp %{SOURCE51} ${RPM_BUILD_ROOT}%{_sysconfdir}/php.d/opcache-default.blacklist
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/php.d/opcache-default.blacklist

# install PHP-FPM stuff
# log file and PID directory
mkdir -p ${RPM_BUILD_ROOT}/var/log/php-fpm
chmod 0755 ${RPM_BUILD_ROOT}/var/log/php-fpm
mkdir -p ${RPM_BUILD_ROOT}/var/run/php-fpm
chmod 0755 ${RPM_BUILD_ROOT}/var/run/php-fpm

# move some stuff to the right place
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/php-fpm
mv ${RPM_BUILD_ROOT}%{_prefix}/php/php/fpm/status.html ${RPM_BUILD_ROOT}%{_datadir}/php-fpm/

# configuration
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.d
chmod 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.d
cp %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.conf
cp %{SOURCE5} ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.d/www.conf
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.d/www.conf
mv ${RPM_BUILD_ROOT}%{_sysconfdir}/php-fpm.conf.default .

# logrotate
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
cp %{SOURCE6} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/php-fpm
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/php-fpm

# environment file
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig
chmod 0755 ${RPM_BUILD_ROOT}/etc/sysconfig
cp %{SOURCE7} ${RPM_BUILD_ROOT}/etc/sysconfig/php-fpm
chmod 0644 ${RPM_BUILD_ROOT}/etc/sysconfig/php-fpm

# create the /etc/rc.d/init.d/ scripts and symlinks
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
chmod 0755 ${RPM_BUILD_ROOT}/etc/rc.d/init.d
cp %{SOURCE3} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/php-fpm
chmod 0755 ${RPM_BUILD_ROOT}/etc/rc.d/init.d/php-fpm

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d
chmod 0755 ${RPM_BUILD_ROOT}/etc/rc.d/rc?.d
ln -sf '../init.d/php-pfm' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/Sphp-fpm
ln -sf '../init.d/php-fpm' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/Kphp-fpm
ln -sf '../init.d/php-fpm' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/Sphp-fpm
ln -sf '../init.d/php-fpm' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/Kphp-fpm

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin sbin include
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%preun -n mod_php_ap22
if [ "$1" = 0 ]; then
    cat %{_sysconfdir}/httpd/conf/httpd.conf | \
      grep -v "# PHP settings" | \
      grep -v "Include conf/extra/httpd-php.conf" \
      > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
    mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
    echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"
fi


%post -n mod_php_ap22
cat %{_sysconfdir}/httpd/conf/httpd.conf | \
  grep -v "# PHP settings" | \
  grep -v "Include conf/extra/httpd-php.conf" \
  > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
echo "# PHP settings" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Include conf/extra/httpd-php.conf" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -n mod_php_ap22
%defattr(-,root,system)
%{_libdir}/httpd/modules/libphp7.so
%attr(0770,root,apache) %dir /var/lib/php/session
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-php.conf
%{contentdir}/icons/php.gif


%files common
%defattr(-,root,system)
%doc CODING_STANDARDS CREDITS EXTENSIONS INSTALL LICENSE NEWS README*
%doc Zend/ZEND_*
%config(noreplace) %{_sysconfdir}/php.ini
%dir %{_sysconfdir}/php.d
%dir %{_libdir}/php
%dir %{_libdir}/php/modules
%dir /var/lib/php
%dir %{_libdir}/php/pear


%files cli
%defattr(-,root,system)
%{_bindir}/phar
%{_bindir}/phar.phar
%{_bindir}/php
%{_bindir}/php-cgi
%{_mandir}/man1/phar.1
%{_mandir}/man1/phar.phar.1
%{_mandir}/man1/php.1
%{_mandir}/man1/php-cgi.1
/usr/bin/php
/usr/bin/php-cgi


%files fpm
%doc php-fpm.conf.default
%doc sapi/fpm/LICENSE
%config(noreplace) %{_sysconfdir}/php-fpm.conf
%config(noreplace) %{_sysconfdir}/php-fpm.d/www.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/php-fpm
%config(noreplace) /etc/sysconfig/php-fpm
%{_sbindir}/php-fpm
%dir %{_sysconfdir}/php-fpm.d
# log owned by apache for log
%attr(770,apache,root) %dir /var/log/php-fpm
%dir /var/run/php-fpm
%{_mandir}/man8/php-fpm.8*
%{_datadir}/php-fpm/status.html
/usr/sbin/php-fpm
/etc/rc.d/init.d/php-fpm
/etc/rc.d/rc2.d/Sphp-fpm
/etc/rc.d/rc2.d/Kphp-fpm
/etc/rc.d/rc3.d/Sphp-fpm
/etc/rc.d/rc3.d/Kphp-fpm


%files opcache
%defattr(-,root,system)
%config(noreplace) %{_sysconfdir}/php.d/10-opcache.ini
%config(noreplace) %{_sysconfdir}/php.d/opcache-default.blacklist
%{_libdir}/php/modules/opcache.so


%files devel
%defattr(-,root,system)
%dir %{_libdir}/php
%{_bindir}/php-config
%{_bindir}/phpize
%{_includedir}/php
%{_libdir}/php/build
%{_mandir}/man1/php-config.1
%{_mandir}/man1/phpize.1
/usr/bin/php-config
/usr/bin/phpize
/usr/include/*


%changelog
* Fri Dec 02 2016 Michael Perzl <michael@perzl.org> - 7.0.13-1
- updated to version 7.0.13

* Wed Nov 23 2016 Michael Perzl <michael@perzl.org> - 5.6.28-1
- updated to version 5.6.28

* Wed Nov 23 2016 Michael Perzl <michael@perzl.org> - 5.6.27-2
- recompiled against latest versions

* Mon Oct 17 2016 Michael Perzl <michael@perzl.org> - 5.6.27-1
- updated to version 5.6.27

* Mon Sep 19 2016 Michael Perzl <michael@perzl.org> - 5.6.26-1
- updated to version 5.6.26

* Fri Aug 19 2016 Michael Perzl <michael@perzl.org> - 5.6.25-1
- updated to version 5.6.25

* Wed Jul 27 2016 Michael Perzl <michael@perzl.org> - 5.6.24-1
- updated to version 5.6.24

* Wed Jun 29 2016 Michael Perzl <michael@perzl.org> - 5.6.23-1
- updated to version 5.6.23

* Thu May 26 2016 Michael Perzl <michael@perzl.org> - 5.6.22-1
- updated to version 5.6.22

* Fri Apr 29 2016 Michael Perzl <michael@perzl.org> - 5.6.21-1
- updated to version 5.6.21

* Fri Apr 29 2016 Michael Perzl <michael@perzl.org> - 5.6.20-1
- updated to version 5.6.20

* Mon Mar 07 2016 Michael Perzl <michael@perzl.org> - 5.6.19-1
- updated to version 5.6.19

* Mon Mar 07 2016 Michael Perzl <michael@perzl.org> - 5.6.18-2
- recompiled against latest versions

* Mon Feb 08 2016 Michael Perzl <michael@perzl.org> - 5.6.18-1
- updated to version 5.6.18

* Fri Jan 15 2016 Michael Perzl <michael@perzl.org> - 5.6.17-1
- updated to version 5.6.17

* Fri Jan 15 2016 Michael Perzl <michael@perzl.org> - 5.5.31-1
- updated to version 5.5.31
- enabled Zend OPcache

* Mon Oct 05 2015 Michael Perzl <michael@perzl.org> - 5.5.30-1
- updated to version 5.5.30

* Mon Sep 14 2015 Michael Perzl <michael@perzl.org> - 5.5.29-1
- updated to version 5.5.29

* Sat Aug 08 2015 Michael Perzl <michael@perzl.org> - 5.5.28-1
- updated to version 5.5.28

* Sat Aug 08 2015 Michael Perzl <michael@perzl.org> - 5.5.27-1
- updated to version 5.5.27

* Wed Jun 17 2015 Michael Perzl <michael@perzl.org> - 5.5.26-1
- updated to version 5.5.26

* Sat May 16 2015 Michael Perzl <michael@perzl.org> - 5.5.25-1
- updated to version 5.5.25

* Fri May 08 2015 Michael Perzl <michael@perzl.org> - 5.5.24-1
- updated to version 5.5.24

* Fri Mar 20 2015 Michael Perzl <michael@perzl.org> - 5.5.23-1
- updated to version 5.5.23

* Thu Feb 19 2015 Michael Perzl <michael@perzl.org> - 5.5.22-1
- updated to version 5.5.22

* Mon Feb 02 2015 Michael Perzl <michael@perzl.org> - 5.5.21-1
- updated to version 5.5.21

* Mon Feb 02 2015 Michael Perzl <michael@perzl.org> - 5.5.20-1
- updated to version 5.5.20

* Fri Dec 05 2014 Michael Perzl <michael@perzl.org> - 5.5.19-1
- updated to version 5.5.19

* Wed Nov 12 2014 Michael Perzl <michael@perzl.org> - 5.5.18-1
- updated to version 5.5.18

* Fri Sep 19 2014 Michael Perzl <michael@perzl.org> - 5.5.17-1
- updated to version 5.5.17

* Sat Aug 23 2014 Michael Perzl <michael@perzl.org> - 5.5.16-1
- updated to version 5.5.16

* Thu Aug 21 2014 Michael Perzl <michael@perzl.org> - 5.5.15-1
- updated to version 5.5.15

* Thu Aug 21 2014 Michael Perzl <michael@perzl.org> - 5.5.14-1
- updated to version 5.5.14

* Thu Aug 21 2014 Michael Perzl <michael@perzl.org> - 5.5.13-1
- updated to version 5.5.13

* Thu Aug 21 2014 Michael Perzl <michael@perzl.org> - 5.5.12-1
- updated to version 5.5.12

* Thu Aug 21 2014 Michael Perzl <michael@perzl.org> - 5.5.11-1
- updated to version 5.5.11

* Thu Aug 21 2014 Michael Perzl <michael@perzl.org> - 5.5.10-1
- updated to version 5.5.10

* Thu Aug 21 2014 Michael Perzl <michael@perzl.org> - 5.5.9-1
- updated to version 5.5.9

* Sat Jan 11 2014 Michael Perzl <michael@perzl.org> - 5.5.8-1
- updated to version 5.5.8

* Sat Jan 11 2014 Michael Perzl <michael@perzl.org> - 5.5.7-1
- updated to version 5.5.7

* Mon Nov 18 2013 Michael Perzl <michael@perzl.org> - 5.5.6-1
- updated to version 5.5.6

* Wed Oct 23 2013 Michael Perzl <michael@perzl.org> - 5.5.5-1
- updated to version 5.5.5

* Wed Oct 09 2013 Michael Perzl <michael@perzl.org> - 5.5.4-1
- updated to version 5.5.4

* Wed Oct 09 2013 Michael Perzl <michael@perzl.org> - 5.5.3-1
- updated to version 5.5.3

* Wed Oct 09 2013 Michael Perzl <michael@perzl.org> - 5.5.2-1
- updated to version 5.5.2

* Wed Oct 09 2013 Michael Perzl <michael@perzl.org> - 5.5.1-2
- enabled '--enable-pdo' option

* Mon Jul 22 2013 Michael Perzl <michael@perzl.org> - 5.5.1-1
- updated to version 5.5.1

* Mon Jun 24 2013 Michael Perzl <michael@perzl.org> - 5.5.0-1
- updated to version 5.5.0

* Thu Jun 20 2013 Michael Perzl <michael@perzl.org> - 5.4.16-1
- updated to version 5.4.16

* Fri May 24 2013 Michael Perzl <michael@perzl.org> - 5.4.15-1
- updated to version 5.4.15

* Mon Apr 15 2013 Michael Perzl <michael@perzl.org> - 5.4.14-1
- updated to version 5.4.14

* Mon Mar 18 2013 Michael Perzl <michael@perzl.org> - 5.4.13-1
- updated to version 5.4.13

* Mon Feb 25 2013 Michael Perzl <michael@perzl.org> - 5.4.12-1
- updated to version 5.4.12

* Wed Jan 23 2013 Michael Perzl <michael@perzl.org> - 5.4.11-1
- updated to version 5.4.11

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 5.4.10-1
- updated to version 5.4.10

* Tue Dec 18 2012 Michael Perzl <michael@perzl.org> - 5.4.9-2
- added PFM support
- enabled Zip read/write support
- changed OpenSSL dependency to latest version to avoid version mismatches

* Thu Dec 06 2012 Michael Perzl <michael@perzl.org> - 5.4.9-1
- added LDAP support and thus introduced a dependency on openldap
- updated to version 5.4.9

* Fri Nov 23 2012 Michael Perzl <michael@perzl.org> - 5.4.8-2
- fixed wrong dependency on libbz2.so

* Fri Nov 16 2012 Michael Perzl <michael@perzl.org> - 5.4.8-1
- updated to version 5.4.8

* Mon Sep 17 2012 Michael Perzl <michael@perzl.org> - 5.4.7-1
- updated to version 5.4.7

* Tue Aug 28 2012 Michael Perzl <michael@perzl.org> - 5.4.6-1
- updated to version 5.4.6

* Tue Aug 28 2012 Michael Perzl <michael@perzl.org> - 5.4.5-1
- updated to version 5.4.5

* Tue Aug 28 2012 Michael Perzl <michael@perzl.org> - 5.4.4-1
- updated to version 5.4.4

* Tue Aug 28 2012 Michael Perzl <michael@perzl.org> - 5.4.3-2
- restructured package to better adapt to different Apache (httpd) versions

* Mon Jun 04 2012 Michael Perzl <michael@perzl.org> - 5.4.3-1
- updated to version 5.4.3
- removed dependency on external GD library as PHP can only be compiled with
  the packaged (and modified) GD library

* Tue Apr 03 2012 Michael Perzl <michael@perzl.org> - 5.3.10-2
- enabled multibyte string support and mcrypt support

* Fri Feb 17 2012 Michael Perzl <michael@perzl.org> - 5.3.10-1
- updated to version 5.3.10

* Wed Aug 24 2011 Michael Perzl <michael@perzl.org> - 5.3.8-1
- updated to version 5.3.8

* Tue Aug 23 2011 Michael Perzl <michael@perzl.org> - 5.3.7-1
- updated to version 5.3.7, added patch for php_crypt_r()

* Tue Aug 23 2011 Michael Perzl <michael@perzl.org> - 5.3.6-2
- added "--enable-sockets" and "--with-mysqli=mysqlnd" to configure options

* Wed May 18 2011 Michael Perzl <michael@perzl.org> - 5.3.6-1
- updated to version 5.3.6

* Wed May 18 2011 Michael Perzl <michael@perzl.org> - 5.3.5-2
- fixed wrong dependency on bzip2-devel of php-devel (needs bzip2 only)

* Fri Jan 07 2011 Michael Perzl <michael@perzl.org> - 5.3.5-1
- updated to version 5.3.5

* Tue Dec 14 2010 Michael Perzl <michael@perzl.org> - 5.3.4-1
- updated to version 5.3.4

* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 5.3.3-1
- updated to version 5.3.3

* Tue Apr 13 2010 Michael Perzl <michael@perzl.org> - 5.3.2-1
- updated to version 5.3.2

* Tue Mar 02 2010 Michael Perzl <michael@perzl.org> - 5.2.13-1
- updated to version 5.2.13

* Thu Feb 18 2010 Michael Perzl <michael@perzl.org> - 5.2.12-2
- enable fastcgi for the CLI version

* Tue Jan 19 2010 Michael Perzl <michael@perzl.org> - 5.2.12-1
- updated to version 5.2.12

* Fri Nov 27 2009 Michael Perzl <michael@perzl.org> - 5.2.11-1
- updated to version 5.2.11

* Thu Nov 26 2008 Michael Perzl <michael@perzl.org> - 5.2.8-1
- updated to version 5.2.8

* Fri May 02 2008 Michael Perzl <michael@perzl.org> - 5.2.6-1
- updated to version 5.2.6

* Wed Apr 23 2008 Michael Perzl <michael@perzl.org> - 5.2.5-2
- some minor spec file fixes

* Mon Dec 03 2007 Michael Perzl <michael@perzl.org> - 5.2.5-1
- first version for AIX V5.1 and higher
